Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.random
Interface UniformDoubleDistC

All Known Implementing Classes:
  UniformDoubleDistCImpl

public interface UniformDoubleDistC
extends DoubleDistributionC, DoubleDistributionS

Uniform Double Distribution. A generator of floating point values uniformly distributed across a half-open interval [min,max). (The interval includes the lower endpoint but excludes the upper endpoint.) NOTE: Setting minValue == maxValue is allowed (and returns minValue).

Method Summary
`java.lang.Object` | `create$setGenerator$setDoubleMin$setMax(Zone aZone, SimpleRandomGenerator simpleGenerator, double minValue, double maxValue)` Use this create message if the generator to be attached is a Simple one:
`java.lang.Object` | `create$setGenerator$setVirtualGenerator$setDoubleMin$setMax(Zone aZone, SplitRandomGenerator splitGenerator, int vGen, double minValue, double maxValue)` Use this create message if the generator to be attached is a Split one:

Methods inherited from interface swarm.random.ProbabilityDistributionC
`create$setGenerator, create$setGenerator$setVirtualGenerator, createWithDefaults`

Methods inherited from interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods inherited from interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Method Detail

### create$setGenerator$setDoubleMin$setMax

    public java.lang.Object create$setGenerator$setDoubleMin$setMax(Zone aZone,
                                                                    SimpleRandomGenerator simpleGenerator,
                                                                    double minValue,
                                                                    double maxValue)

  Use this create message if the generator to be attached is a Simple one:

### create$setGenerator$setVirtualGenerator$setDoubleMin$setMax

    public java.lang.Object create$setGenerator$setVirtualGenerator$setDoubleMin$setMax(Zone aZone,
                                                                                        SplitRandomGenerator splitGenerator,
                                                                                        int vGen,
                                                                                        double minValue,
                                                                                        double maxValue)

  Use this create message if the generator to be attached is a Split one:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD